Bug 730914 - installation process will be interrupted when install rhel5.7 guest with 2T size image
Summary: installation process will be interrupted when install rhel5.7 guest with 2T s...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Kevin Wolf
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 08:41 UTC by FuXiangChun
Modified: 2013-01-10 00:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-16 11:34:28 UTC


Attachments (Terms of Use)
guest rhel5.7 installation error (93.01 KB, image/png)
2011-08-16 08:42 UTC, FuXiangChun
no flags Details
boot guest rhel6.2 fails with 2T size image (7.16 KB, image/png)
2011-09-13 10:34 UTC, FuXiangChun
no flags Details

Description FuXiangChun 2011-08-16 08:41:22 UTC
Description of problem:
installation process snapshots is in attachment.
if use 1.9T size to install rhel5.7 guest. it work well. 

Version-Release number of selected component (if applicable):
# uname -r
2.6.32-189.el6.x86_64
# rpm -qa|grep kvm
qemu-kvm-0.12.1.2-2.182.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.qemu-img create -f qcow2 2t.qcow2 2T
2./usr/libexec/qemu-kvm -enable-kvm -m 6G -smp 4 -name rhel6 -uuid ddcbfb49-3411-1701-3c36-6bdbc00bedb9 -rtc base=utc,clock=host,driftfix=slew -boot dc -drive file=2t.qcow2,if=none,id=drive-ide0-0-0,boot=on,format=qcow2,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:50:a4:c2:c1 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -usb -device usb-tablet,id=input0 -spice disable-ticketing,port=5911 -device virtio-balloon-pci,id=ballooning -monitor stdio -cdrom RHEL-Server-5.7-x86_64-DVD.iso
3.
  
Actual results:
guest installation interrupt

Expected results:
guest install successfully.

Additional info:
rhel6.1 guest can install successfully.

Comment 1 FuXiangChun 2011-08-16 08:42:32 UTC
Created attachment 518422 [details]
guest rhel5.7 installation error

Comment 3 Dor Laor 2011-09-12 06:58:05 UTC
Is there some other guest OS that works w/ 2T qcow2?
Did you had enough space on the host? You should have executed the command with werror=stop Please repeat the test with it.

Comment 4 FuXiangChun 2011-09-13 10:33:49 UTC
(In reply to comment #3)
> Is there some other guest OS that works w/ 2T qcow2?
if boot guest rhel6.2 64bit with 2T size image, guest can not boot successful after installing. attach a snapshot in attachment  

> Did you had enough space on the host? You should have executed the command with
> werror=stop Please repeat the test with it.

boot guest rhel5.7 64bit with werror=stop option, still have the same issue.  host free space is 64G.

Comment 5 FuXiangChun 2011-09-13 10:34:57 UTC
Created attachment 522887 [details]
boot guest rhel6.2 fails with 2T size image

Comment 7 Kevin Wolf 2011-12-07 13:00:49 UTC
Does this even work on real hardware? 2 TB is the maximum size for the MBR partition table, I wouldn't be surprised if at least RHEL 5 just didn't support that.

Comment 8 FuXiangChun 2011-12-08 09:40:19 UTC
(In reply to comment #7)
> Does this even work on real hardware? 2 TB is the maximum size for the MBR
> partition table, I wouldn't be surprised if at least RHEL 5 just didn't support
> that.

we have no real hardware that support 2T disk. so i am not sure if it works in real hardware.  Today i tested another scenario.  if i create a 2T-1M size images to install rhel5.7. it works fine.

Comment 9 Kevin Wolf 2012-01-16 11:34:28 UTC
Probably a guest problem. Closing.


Note You need to log in before you can comment on or make changes to this bug.